KDE 4.3 PyKDE API Reference

- KDE's Python API

# GeoDataFolder Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataContainer → Marble.GeoDataFeature → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

A container that is used to arrange other GeoDataFeatures.

A GeoDataFolder is used to arrange other GeoDataFeatures hierarchically (Folders, Placemarks, NetworkLinks, or Overlays). A GeoDataFeature is visible only if it and all its ancestors are visible.

See also:
  GeoDataFeature

See also:
  GeoDataContainer

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataFolder other)
| __init__ (self, Marble.GeoDataFeature other)
bool | isFolder (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataFolder | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataFeature | other
| ) |  |  |

bool isFolder | ( |  | self ) |